Rensei docs
API ReferenceCollections

List live records with cursor pagination

List live records with cursor pagination - Rensei REST API operation reference.

GET
/api/collections/{collectionId}/records

Authorization

headerAuthorizationBearer <rsk_live_*>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

Path Parameters

collectionId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Query Parameters

projectId*string
Length1 <= length <= 128
cursor?string
Lengthlength <= 512
limit?integer
Range1 <= value <= 100
Default100

Response Body

Success

application/json
  1. response
items*array<>
nextCursor*string|null
Example Request
curl -X GET 'https://app.rensei.ai/api/collections/497f6eca-6276-4993-bfeb-53cbbbba6f08/records?projectId=string'
Example Response
{  "items": [    {      "orgId": "string",      "collectionId": "0ffe69e2-b7af-4b1e-835c-867376165f50",      "key": "string",      "version": -9007199254740991,      "schemaVersion": -9007199254740991,      "value": {        "property1": "string",        "property2": "string"      },      "deleted": true,      "authorKind": "human",      "authorId": "string",      "sessionId": "string",      "origin": "mcp",      "createdAt": "2019-08-24T14:15:22Z"    }  ],  "nextCursor": "string"}